Package org.codehaus.groovy.transform.stc

# Class SignatureCodecVersion1

java.lang.Object
org.codehaus.groovy.transform.stc.SignatureCodecVersion1

All Implemented Interfaces:
  `SignatureCodec`

public class SignatureCodecVersion1 extends Object implements SignatureCodec
First implementation of an inferred type signature codec.

Author:
  Cedric Champeau

## Constructor Summary

Constructors
Constructor
Description
`SignatureCodecVersion1(ClassLoader classLoader)`

## Method Summary

Modifier and Type
Method
Description
`ClassNode`
`decode(String signature)`
`String`
`encode(ClassNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SignatureCodecVersion1

public SignatureCodecVersion1(ClassLoader classLoader)

## Method Details

### encode

public String encode(ClassNode node)

Specified by:
  `encode` in interface `SignatureCodec`

### decode

public ClassNode decode(String signature)

Specified by:
  `decode` in interface `SignatureCodec`